public class RowSet extends ItemSet
{
  RowSet()
  {
    super();
  }

  RowSet( ItemSet c )
  {
    super();
    Object o[] = c.toArray();
    for( int i=0; i<o.length; i++)
      this.add( new Row( (ItemSet)o[i] ) );
  }

  RowSet( RowSet c )
  {
    super();
    this.union(c);
  }

  public ItemSet toItemSet()
  {
    ItemSet itemSet = new ItemSet();

    Object o[] = this.toArray();
    for(int i=0; i<o.length; i++)
      itemSet.add( ((Row)o[i]).getSet() );

  return itemSet;
  }

  public void updateSupport( ItemSet s )
  {
    Object o[] = this.toArray();
    for(int i=0; i<o.length; i++)
      ((Row)o[i]).updateSupport(s);
  }

  public void updateSupportA( ItemSet s )
  {
    Object o[] = this.toArray();
    for(int i=0; i<o.length; i++)
      ((Row)o[i]).updateSupportA(s);
  }

  public void pruneForMinimumSupport( int minSup )
  {
    Object o[] = this.toArray();
    for(int i=0; i<o.length; i++)
      if( ((Row)o[i]).getSupport() < minSup )
        this.remove(o[i]);
  }


}