import java.io.*;
import java.lang.*;
import java.util.*;

public class ItemSet extends HashSet
{
  ItemSet()
  {   
    super();
  }

  ItemSet( ItemSet s )
  {
    super(s);
  }

  public ItemSet union(ItemSet s)
  {
    ItemSet set = new ItemSet(this);
    set.addAll( s );
  return set;
  }  

  public void unionWith(ItemSet s)
  {
    this.addAll(s);
  }

  public ItemSet difference(ItemSet s)
  {
    ItemSet set = new ItemSet(this);
    set.removeAll(s);
  return set;
  }

  public void differenceWith(ItemSet s)
  {
    this.removeAll(s);
  }

  public ItemSet intersection(ItemSet s)
  {
    ItemSet set = new ItemSet(this);
    set.retainAll(s);
  return set;
  }

  public void intersectionWith(ItemSet s)
  {
    this.retainAll(s);
  }

  public boolean subsetOf(ItemSet s)
  {
    return( s.containsAll(this) );
  }    

  public void copy(ItemSet s)
  {
    this.union(s);
  }
}
