import ItemSet;

public class Rule
{
  private ItemSet myLhs;
  private ItemSet myRhs;
  private int     mySupport;
  private float   myConfidence;

  Rule( ItemSet lhs, ItemSet rhs, int support, float confidence )
  {
   myLhs = lhs;
   myRhs = rhs;
   mySupport = support;
   myConfidence = confidence;
  }

  public ItemSet getLhs()
  {
    return myLhs;
  }

  public ItemSet getRhs()
  {
    return myRhs;
  }

  public int getSupport()
  {
    return mySupport;
  }

  public float getConfidence()
  {
    return myConfidence;
  }    

  public String toString()
  {
    return( myLhs+"==>"+myRhs+" (confidence="+myConfidence+" support="+mySupport+")");
  }

}
